/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-12 15:31:10.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.questions.base.converter.model.platform;

import java.io.Serializable;
import java.util.List;

/**
 * 试题
 */
public class QuestionVo implements Serializable {
    private static final long serialVersionUID = 2180336388838138300L;
    private String id;
    private Integer number;//题序号
    private Double score;//满分
    private Integer structType;//题类型
    private Boolean objective;//是否主观题
    private BodyVo body;//题干
    private AnswerVo answer;//答案
    private List<OptionVo> options;//选项
    private List<QuestionVo> subQuestions;//套题下的子题列表

    public boolean hasOption() {
        if (options != null && options.size() > 0) {
            return true;
        }
        return false;
    }

    public boolean hasSubQuestion() {
        if (subQuestions != null && subQuestions.size() > 0) {
            return true;
        }
        return false;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public Integer getStructType() {
        return structType;
    }

    public void setStructType(Integer structType) {
        this.structType = structType;
    }

    public Boolean getObjective() {
        return objective;
    }

    public void setObjective(Boolean objective) {
        this.objective = objective;
    }

    public BodyVo getBody() {
        return body;
    }

    public void setBody(BodyVo body) {
        this.body = body;
    }

    public AnswerVo getAnswer() {
        return answer;
    }

    public void setAnswer(AnswerVo answer) {
        this.answer = answer;
    }

    public List<OptionVo> getOptions() {
        return options;
    }

    public void setOptions(List<OptionVo> options) {
        this.options = options;
    }

    public List<QuestionVo> getSubQuestions() {
        return subQuestions;
    }

    public void setSubQuestions(List<QuestionVo> subQuestions) {
        this.subQuestions = subQuestions;
    }
}